ToolzerHub Docs

Search listings (v1)

Returns one page (~48) of Etsy listings matching required q. Pass next_page as page for more.

3 credits / requestBilled only on success
GET
/v1/etsy/search

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

q*string

Keyword to search Etsy listings for.

Length1 <= length
page?integer

Search page, ~48 listings each. Send the previous response's next_page.

Range1 <= value <= 250
Default1
curl -X GET "https://example.com/v1/etsy/search?q=leather+journal" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "query": "string",    "count": 0,    "has_more": true,    "next_page": 0,    "listings": [      {        "listing_id": "4488906265",        "title": "Personalized A5 Trifold Leather Journal",        "url": "https://www.etsy.com/listing/4488906265/personalized-a5-trifold-leather-journal",        "image_url": "https://i.etsystatic.com/62498741/r/il/a1d507/7914288856/il_255x319.7914288856_geua.jpg",        "shop_name": "HIDEAcraftedleather",        "shop_url": "https://www.etsy.com/shop/HIDEAcraftedleather",        "price": 66.95,        "original_price": 103,        "currency": "USD",        "on_sale": true,        "percent_discount": 35,        "rating": 4.9,        "review_count": 399      }    ]  },  "details": {    "reason": "no_results",    "message": "string"  }}